// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.
// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

/* For use in src/lib/core/theming/_palette.scss */

$md-primary: (
    50 : #e1e1e5,
    100 : #b3b4be,
    200 : #818292,
    300 : #4e5066,
    400 : #282b46,
    500 : #020525,
    600 : #020421,
    700 : #01041b,
    800 : #010316,
    900 : #01010d,
    A100 : #5151ff,
    A200 : #1e1eff,
    A400 : #0000ea,
    A700 : #0000d0,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #ffffff,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

$md-accent: (
    50 : #fbf5e6,
    100 : #f5e5c0,
    200 : #eed497,
    300 : #e7c36d,
    400 : #e2b64d,
    500 : #dda92e,
    600 : #d9a229,
    700 : #d49823,
    800 : #cf8f1d,
    900 : #c77e12,
    A100 : #fffbf6,
    A200 : #ffe5c3,
    A400 : #ffcf90,
    A700 : #ffc476,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$md-warn: (
    50 : #fae0e5,
    100 : #f3b3be,
    200 : #eb8093,
    300 : #e34d67,
    400 : #dd2647,
    500 : #d70026,
    600 : #d30022,
    700 : #cd001c,
    800 : #c70017,
    900 : #be000d,
    A100 : #ffe6e7,
    A200 : #ffb3b5,
    A400 : #ff8084,
    A700 : #ff676b,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$model-trebol-front-end-primary: mat-palette($md-primary);
$model-trebol-front-end-accent: mat-palette($md-accent, A200, A100, A400);
// The warn palette is optional (defaults to red).
$model-trebol-front-end-warn: mat-palette($md-warn);
// Create the theme object (a Sass map containing all of the palettes).
$model-trebol-front-end-theme: mat-light-theme($model-trebol-front-end-primary, $model-trebol-front-end-accent, $model-trebol-front-end-warn);
// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($model-trebol-front-end-theme);

/* You can add global styles to this file, and also import other style files */

html,
body {
    height: 100%;
    background-color: #01010d;
    min-height: 100vh;
}

body {
    margin: 0;
    font-family: Roboto, "Helvetica Neue", sans-serif;
}

.mat-dialog-container{
    background-color: #01010d;
    border: 1px solid #c77e12;
}
.cdk-overlay-dark-backdrop{
    background-color: rgba(190,0,13,.1)
}